<!DOCTYPE html>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	template="WEB-INF/template/Layout.xhtml">

	<ui:define name="titulo">
		Cadastro de Clientes
	</ui:define>
	
	<ui:define name="conteudo">
		<f:metadata>
			<f:viewAction action="#{gestaoClientesBean.todosClientes}" />
		</f:metadata>
		
		<h:form id="frm">
			
			<p:messages id="messages" autoUpdate="false" />
			
			<p:toolbar id="toolbar">
				<f:facet name="left">
	            	<p:commandButton value="Novo" icon="fa fa-plus"
						oncomplete="PF('clienteDialogWidgetVar').show()"
						update="clienteDialog" process="@this">
						<p:resetInput target="clienteDialog" />
					</p:commandButton>
					
					<span class="ui-separator"> <span
						class="ui-icon ui-icon-grip-dotted-vertical" />
					</span>
					
					<p:commandButton title="Editar" icon="fa fa-edit" 
						disabled="#{gestaoClientesBean.clienteSeleciona}"
						actionListener="#{gestaoClientesBean.prepararEdicaoCliente}"
						oncomplete="PF('clienteDialogWidgetVar').show()"
						update="clienteDialog" 
						process="@this">
						<p:resetInput target="jogoDialog" />
					</p:commandButton>
					
					<p:commandButton title="Excluir" icon="fa fa-trash" 
						disabled="#{gestaoClientesBean.clienteSeleciona}"
						actionListener="#{gestaoClientesBean.excluir}"
						update="messages clientesDataTable toolbar" 
						process="@this">
						<p:confirm icon="ui-icon-alert" header="Confirmação de exclusão" message="Tem certeza que deseja excluir o cliente?" />
					</p:commandButton>
				</f:facet>
			</p:toolbar>
			
			<p:spacer height="20px" />
			
			<p:dataTable id="clientesDataTable"
				value="#{gestaoClientesBean.listaClientes}" 
				var="cliente"
				emptyMessage="Nenhuma informação a ser exibida" 
				paginator="true"
				rows="10" 
				paginatorPosition="bottom"
				selectionMode="single"
				selection="#{gestaoClientesBean.cliente}"
				rowKey="#{cliente.id}">
			
				
				<p:column headerText="Nome" sortBy="#{cliente.nome}">
					<h:outputText value="#{cliente.nome}" />
				</p:column>
				
				<p:column headerText="Endereço">
					<h:outputText value="#{cliente.endereco}" />
				</p:column>
				
				<p:column headerText="E-mail">
					<h:outputText value="#{cliente.email}" />
				</p:column>
			
			</p:dataTable>
			
			<p:dialog id="clienteDialog" header="Novo Título" widgetVar="clienteDialogWidgetVar"
				modal="true" resizable="false" closeOnEscape="true">
				<p:messages id="clienteMessages" />
				<h:panelGrid id="clientePanelGrid" columns="2">
					<p:outputLabel value="Nome: " for="nome" />
					<p:inputText id="nome" size="80" maxlength="255" 
						value="#{gestaoClientesBean.cliente.nome}" />
						
					<p:outputLabel value="Endereço: " for="endereco" />
					<p:inputText id="endereco" size="80" maxlength="255" 
						value="#{gestaoClientesBean.cliente.endereco}" />
						
					<p:outputLabel value="E-mail: " for="email" />
					<p:inputText id="email" size="80" maxlength="255" 
						value="#{gestaoClientesBean.cliente.email}" />
					
					<p:outputLabel />
					<p:commandButton value="Salvar" 
						update="clienteMessages clientePanelGrid"
						oncomplete="if (!args.validationFailed) PF('clienteDialogWidgetVar').hide()"
						process="clienteDialog"
						actionListener="#{gestaoClientesBean.salvar}"/>
				</h:panelGrid>
			</p:dialog>
		</h:form>
	</ui:define>
</ui:composition>